pmix_commit(3)

NAME

PMIx_Commit - Push all previously PMIx_Put values to the local PMIx server.

SYNOPSIS

    #include <pmix.h>

    pmix\_status\_t PMIx_Commit(void);

ARGUMENTS

none

DESCRIPTION

This is an asynchronous operation - the library will immediately return to the caller while the data is transmitted to the local server in the background

RETURN VALUE

Returns PMIX_SUCCESS on success. On error, a negative value corresponding to a PMIx errno is returned.

ERRORS

PMIx errno values are defined in pmix_common.h.

NOTES

SEE ALSO

PMIx_Put(3)

AUTHORS
PMIx.